Bug 1212853 - Failure saving measurement trait data - value too long for type character varying(4000)
Summary: Failure saving measurement trait data - value too long for type character var...
Status: CLOSED ERRATA
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Core Server, Database
Version: JON 3.3.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ER01
: JON 3.3.3
Assignee: Michael Burman
QA Contact: Filip Brychta
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-17 13:56 UTC by Filip Brychta
Modified: 2015-07-30 16:41 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-07-30 16:41:58 UTC


Attachments (Terms of Use)
server log (156.24 KB, text/plain)
2015-04-17 13:56 UTC, Filip Brychta
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1525 normal SHIPPED_LIVE Moderate: Red Hat JBoss Operations Network 3.3.3 update 2015-07-30 20:41:08 UTC

Description Filip Brychta 2015-04-17 13:56:36 UTC
Created attachment 1015594 [details]
server log

Description of problem:
There is warning in server.log (see attachment) saying:
Failure saving measurement trait data - value too long for type character varying(4000)

Version-Release number of selected component (if applicable):
JON3.3.2.ER01

How reproducible:
Unknown

Steps to Reproduce:
1. upgrade JON 3.2.0.GA to JON 3.3.2.ER01


Actual results:
warning visible in server.log:
Failure saving measurement trait data - value too long for type character varying(4000)

Expected results:
No failures

Additional info:
Used setup (might be irrelevant):
- server1: JON server (master - postgres db is here) + SN + agent
- server2: JON server (slave) + SN + agent
- server3: JON server (slave) + agent
- server4: SN + agent
- two remote agents with EAP6

It's not clear how to reproduce this issue. Please consider how severe it is and if it's worth fixing.

Comment 2 Michael Burman 2015-06-18 16:08:36 UTC
This should hopefully fix it, independent of the buggy plugin, in master:

commit 40008308d10557980de94cc2c73424a7e7cb29c8
Author: Michael Burman <miburman@redhat.com>
Date:   Thu Jun 18 19:07:56 2015 +0300

    [BZ 1212853] Shorten the trait value to max. 4000 bytes as UTF-8

Comment 4 Simeon Pinder 2015-07-10 18:55:21 UTC
Available for test with 3.3.3 ER01 build: 
https://brewweb.devel.redhat.com/buildinfo?buildID=446732
 *Note: jon-server-patch-3.3.0.GA.zip maps to ER01 build of
 jon-server-3.3.0.GA-update-03.zip.

Comment 7 errata-xmlrpc 2015-07-30 16:41:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1525.html


Note You need to log in before you can comment on or make changes to this bug.